from parallels.core.registry import Registry
from parallels.core.utils.locks.file_lock import FileLock


class SessionFileLock(FileLock):
    def __init__(self, name):
        lock_dir = Registry.get_instance().get_context().session_files.get_lock_dir()
        super(SessionFileLock, self).__init__(lock_dir, name)
